import "../../../chunks/chunk.QU3DSPNU.js";
import { createElement, useRef } from "react";
import { GdsFab as GdsFabClass } from "../../../components/fab/fab.component.js";
import { getReactComponent, useControlledValue } from "../../../utils/react.js";
const GdsFab = (props) => {
  GdsFabClass.define();
  const JSXElement = getReactComponent("gds-fab");
  const internalRef = useRef(null);
  const ref = props.ref || internalRef;
  useControlledValue(
    ref,
    props.value,
    props.defaultValue,
    props.onChange,
    props.onInput
  );
  const { onChange, onInput, ref: _ref, ...restProps } = props;
  const propsWithClass = { ...restProps, class: props.className, ref };
  return createElement(JSXElement, propsWithClass);
};
GdsFab.displayName = "GdsFab";
export {
  GdsFab
};
